/*! Flickity v2.3.0
https://flickity.metafizzy.co
---------------------------------------------- */

.flickity-enabled { position: relative; }
.flickity-enabled:focus { outline: none; }
.flickity-viewport {position: relative;width: 100%;height: 100%;overflow: hidden;}
.flickity-slider { position: absolute; width: 100%; height: 100%; }

/* draggable */

.flickity-enabled.is-draggable { -webkit-tap-highlight-color: transparent; -webkit-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; }
.flickity-enabled.is-draggable .flickity-viewport {cursor: move;cursor: -webkit-grab;cursor: grab;max-width: unset;}
.flickity-enabled.is-draggable .flickity-viewport.is-pointer-down { cursor: -webkit-grabbing; cursor: grabbing; }

/* ---- flickity-button ---- */

.flickity-button {position: absolute;}
.flickity-button:hover {cursor: pointer;}
.flickity-button:focus {outline: none;box-shadow: none;}
.flickity-button:active { opacity: 0.6; }
.flickity-button:disabled {opacity: 0.5;cursor: auto;pointer-events: none;}

.flickity-button-icon {fill: currentColor;}

/* ---- previous/next buttons ---- */

.flickity-prev-next-button {top: 50%;transform: translateY(-50%);right: 0;width: var(--wp--preset--spacing--56);height: var(--wp--preset--spacing--56);display: flex;margin: 0 calc(0rem - var(--wp--preset--spacing--56)) !important;background: var(--wp--preset--color--light-grey) !important;border: 0;outline: none;padding: 0;color: inherit;z-index: 300;align-items: center;justify-content: center;}
.flickity-prev-next-button:hover,.flickity-prev-next-button:focus { background: var(--wp--preset--color--grey) !important; }
.flickity-prev-next-button.previous {left: 0;}
.flickity-prev-next-button.next {right: 0;left: auto;}
.flickity-prev-next-button .flickity-button-icon {width: var(--wp--preset--spacing--24);height: var(--wp--preset--spacing--24);}

/* ---- page dots ---- */

.flickity-page-dots {width: auto;display: flex;text-align: center;line-height: 1;margin-top: var(--wp--preset--spacing--40);padding:0;scrollbar-width: none;overflow: auto;max-width: 100%;align-self: center;justify-content: center;}
.flickity-page-dots::-webkit-scrollbar {display: none;}
.flickity-page-dots .dot {display: flex;justify-content: center;align-items: center;width: var(--wp--preset--spacing--24);margin: 0 var(--wp--preset--spacing--8);padding: var(--wp--preset--spacing--24) 0;cursor: pointer;flex-shrink: 0;}
.flickity-page-dots .dot::before {content: '';display: inline-flex;height: 2px;width: 100%;background-color: var(--wp--preset--color--grey);}
.flickity-page-dots .dot.is-selected::before {background-color: var(--wp--preset--color--primary);}

@media (max-width: 781px) {
  button.flickity-button {    /* on mobile, hide next/prev buttons */
	visibility: hidden;
  }
}

/* ---- flickity-fade ---- */

.flickity-enabled.is-fade .flickity-slider > * { pointer-events: none; z-index: 0; }
.flickity-enabled.is-fade .flickity-slider > .is-selected { pointer-events: auto; z-index: 1; }